#!/bin/sh

##########################################
# update APPH_ADFPGA configuration       #
##########################################


configStorageDir="/anapico/fpga"
fpgaConfigStorage="/anapico/fpga/fpga_config.bin"
softCoreStorage="/anapico/fpga/adfpga.srec"

snstr=$(cat /anapico/dev/sn)
if [ ${snstr:6:1} == "1" ] || [ ${snstr:6:1} == "2" ]
then
    echo "FPGA bitstream selection: APPH analog board <=2: LVDS counter"
	fpgaConfig="./fpga_config_0.4.58.bin"
	softCore="./adfpga_0.4.58.srec"
else
    echo "FPGA bitstream selection: APPH analog board >=3: analog counter"
	fpgaConfig="./fpga_config.bin"
	softCore="./adfpga.srec"
fi

if [ -f $fpgaConfig ]
then
    if [ -f $softCore ]
    then
        echo "Loading newest AP SPI and GPIO driver (kernel module)..."
        rmmod /lib/modules/apko.ko
        insmod /lib/modules/apko.ko
        echo "Updating FPGA"
        chmod 0777 ./update_apph_adfpga.bin
        mkdir -p $configStorageDir
        cp $fpgaConfig $fpgaConfigStorage
        cp $softCore $softCoreStorage
        ./update_apph_adfpga.bin $fpgaConfig $softCore
        rm $fpgaConfig $softCore
    else
        echo "Soft core file not found ($softCore)"
    fi
else
    echo "FPGA configuration file not found ($fpgaConfig)"
fi
echo "done (FPGA update)"

